Index: SPECS/glibc.spec
===================================================================
--- SPECS.orig/glibc.spec
+++ SPECS/glibc.spec
@@ -3,7 +3,7 @@
 %define glibcsrcdir glibc-2.5-20061008T1257
 %define glibc_release_tarballs 0
 %define glibcversion 2.5
-%define glibcrelease 10%{?dist}
+%define glibcrelease 10.fa1%{?dist}
 %define run_tests 1
 %define auxarches i586 i686 athlon sparcv9 alphaev6
 %define xenarches i686 athlon
@@ -75,6 +75,7 @@ Patch34: glibc-rh219145.patch
 Patch35: glibc-tst-pselect.patch
 Patch36: glibc-rh220420.patch
 Patch37: glibc-rh220658.patch
+Patch38: glibc-2.6.19-arm-vfp-fixup.diff
 Buildroot: %{_tmppath}/glibc-%{PACKAGE_VERSION}-root
 Obsoletes: zoneinfo, libc-static, libc-devel, libc-profile, libc-headers,
 Obsoletes: gencat, locale, ldconfig, locale-ja, glibc-profile
@@ -323,12 +324,18 @@ tar xfj %{SOURCE1} && mv glibc-ports-%{g
 %patch35 -p1
 %patch36 -p1
 %patch37 -p1
+%patch38 -p1
 
 # Hack till glibc-kernheaders get updated, argh
 mkdir -p override_headers/linux
 cat > override_headers/linux/version.h <<EOF
+%ifnarch %{arm}
 #define UTS_RELEASE "2.6.9"
 #define LINUX_VERSION_CODE 132617
+%else
+#define UTS_RELEASE "2.6.16"
+#define LINUX_VERSION_CODE 132624
+%endif
 #define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))
 EOF
 mkdir -p override_headers/asm
@@ -903,6 +910,10 @@ BuildFlags="-mno-minimal-toc"
 GCC="gcc -m64"
 GXX="g++ -m64"
 %endif
+%ifarch %{arm}
+%define enablekernel 2.6.16
+BuildFlags="-march=armv5te"
+%endif
 
 BuildFlags="$BuildFlags -DNDEBUG=1"
 EnableKernel="--enable-kernel=%{enablekernel}"
@@ -925,8 +936,14 @@ build_CFLAGS="$BuildFlags -g -O3 $*"
 CC="$GCC" CXX="$GXX" CFLAGS="$build_CFLAGS" ../configure --prefix=%{_prefix} \
 	--enable-add-ons=nptl$AddOns --without-cvs $EnableKernel \
 	--with-headers=`cd ..; pwd`/override_headers:%{_prefix}/include --enable-bind-now \
-	--with-tls --with-__thread --build %{nptl_target_cpu}-redhat-linux \
+	--with-tls --with-__thread \
+%ifnarch %{arm}
+	--build %{nptl_target_cpu}-redhat-linux \
 	--host %{nptl_target_cpu}-redhat-linux \
+%else
+	--build %{nptl_target_cpu}-redhat-linux-gnueabi \
+	--host %{nptl_target_cpu}-redhat-linux-gnueabi \
+%endif
 	--disable-profile
 make %{?_smp_mflags} -r CFLAGS="$build_CFLAGS" PARALLELMFLAGS=-s
 
@@ -1227,7 +1244,9 @@ grep -v '/%{_lib}/%{nosegneg_subdir}' < 
 %endif
 
 echo '%{_prefix}/sbin/build-locale-archive' >> common.filelist
+%ifnarch %{arm}
 echo '%{_prefix}/sbin/tzdata-update' >> common.filelist
+%endif
 echo '%{_prefix}/sbin/nscd' > nscd.filelist
 
 cat > utils.filelist <<EOF
@@ -1259,9 +1278,11 @@ $GCC -Os -static -o build-locale-archive
   -DDATADIR=\"%{_datadir}\" -DPREFIX=\"%{_prefix}\" \
   -L../build-%{nptl_target_cpu}-linuxnptl
 install -m 700 build-locale-archive $RPM_BUILD_ROOT/usr/sbin/build-locale-archive
+%ifnarch %{arm}
 $GCC -Os -static -o tzdata-update tzdata-update.c \
   -L../build-%{nptl_target_cpu}-linuxnptl
 install -m 700 tzdata-update $RPM_BUILD_ROOT/usr/sbin/tzdata-update
+%endif
 cd ..
 
 # the last bit: more documentation
@@ -1476,7 +1497,9 @@ touch $RPM_BUILD_ROOT/%{_prefix}/lib/loc
 
 %post common -p /usr/sbin/build-locale-archive
 
+%ifnarch %{arm}
 %triggerin common -p /usr/sbin/tzdata-update -- tzdata
+%endif
 
 %post devel
 /sbin/install-info %{_infodir}/libc.info.gz %{_infodir}/dir
